var dest = './build';
var src = './app';
var demo = './demo';
var git_hash = process.env.GIT_COMMIT;
var env = "DEVELOPMENT";
process.env.NODE_ENV = process.env.NODE_ENV || "development";
if (git_hash) {
    env = "PRODUCTION";
    process.env.NODE_ENV = "production";
}

module.exports = {
    app: './app',
    build: './build',
    demo: './demo',
    env: env,
    browserSync: {
        server: {
            // We're serving the src folder as well for sass sourcemap linking
            baseDir: [demo],
            serveStaticOptions: {
                extensions: ['html']
            }
        },
        notify: false, //hide the annoying notification
        files: [
            dest + '/**',
            // Exclude Map files
            '!' + dest + '/**.map'
        ]
    },
    js: {
        all: src + '/**/*.js',
        src: src + '/js/scripts.js',
        dest: dest + '/js'
    }
};
